@import "util.mixins.scss", "setting.colors.scss", "setting.fonts.scss";

//** Deprecated `$screen-xs` as of v3.0.1
$screen-xs: 480px !default;
//** Deprecated `$screen-xs-min` as of v3.2.0
$screen-xs-min: $screen-xs !default;
//** Deprecated `$screen-phone` as of v3.0.1
$screen-phone: $screen-xs-min !default;

// Small screen / tablet
//** Deprecated `$screen-sm` as of v3.0.1
$screen-sm: 768px !default;
$screen-sm-min: $screen-sm !default;
//** Deprecated `$screen-tablet` as of v3.0.1
$screen-tablet: $screen-sm-min !default;

// Medium screen / desktop
//** Deprecated `$screen-md` as of v3.0.1
$screen-md: 992px !default;
$screen-md-min: $screen-md !default;
//** Deprecated `$screen-desktop` as of v3.0.1
$screen-desktop: $screen-md-min !default;

// Large screen / wide desktop
//** Deprecated `$screen-lg` as of v3.0.1
$screen-lg: 1200px !default;
$screen-lg-min: $screen-lg !default;
//** Deprecated `$screen-lg-desktop` as of v3.0.1
$screen-lg-desktop: $screen-lg-min !default;

// So media queries don't overlap when required, provide a maximum
$screen-xs-max: ($screen-sm-min - 1) !default;
$screen-sm-max: ($screen-md-min - 1) !default;
$screen-md-max: ($screen-lg-min - 1) !default;

// Add your settings here
//== Grid system
//
//## Define your custom responsive grid.

//** Number of columns in the grid.
$grid-columns: 12 !default;
//** Padding between columns. Gets divided in half for the left and right.
$grid-gutter-width: 30px !default;
// Navbar collapse
//** Point at which the navbar becomes uncollapsed.
$grid-float-breakpoint: $screen-sm-min !default;
//** Point at which the navbar begins collapsing.
$grid-float-breakpoint-max: ($grid-float-breakpoint - 1) !default;

//== Container sizes
//
//## Define the maximum width of `.container` for different screen sizes.

// Small screen / tablet
$container-tablet: ((720px + $grid-gutter-width)) !default;
//** For `$screen-sm-min` and up.
$container-sm: $container-tablet !default;

// Medium screen / desktop
$container-desktop: ((940px + $grid-gutter-width)) !default;
//** For `$screen-md-min` and up.
$container-md: $container-desktop !default;

// Large screen / wide desktop
$container-large-desktop: ((1140px + $grid-gutter-width)) !default;
//** For `$screen-lg-min` and up.
$container-lg: $container-large-desktop !default;

// Framework grid generation
// Used only by Bootstrap to generate the correct number of grid classes given
// any value of `$grid-columns`.

// [converter] This is defined recursively in LESS, but Sass supports real loops
@mixin make-grid-columns(
  $i: 1,
  $list: ".col-xs-#{$i}, .col-sm-#{$i}, .col-md-#{$i}, .col-lg-#{$i}"
) {
  @for $i from (1 + 1) through $grid-columns {
    $list: "#{$list}, .col-xs-#{$i}, .col-sm-#{$i}, .col-md-#{$i}, .col-lg-#{$i}";
  }
  #{$list} {
    position: relative;
    min-height: 1px;
    padding-left: ($grid-gutter-width / 2);
    padding-right: ($grid-gutter-width / 2);
  }
}

// [converter] This is defined recursively in LESS, but Sass supports real loops
@mixin float-grid-columns($class, $i: 1, $list: ".col-#{$class}-#{$i}") {
  @for $i from (1 + 1) through $grid-columns {
    $list: "#{$list}, .col-#{$class}-#{$i}";
  }
  #{$list} {
    float: left;
  }
}

@mixin calc-grid-column($index, $class, $type) {
  @if ($type == width) and ($index > 0) {
    .col-#{$class}-#{$index} {
      width: percentage(($index / $grid-columns));
    }
  }
  @if ($type == push) and ($index > 0) {
    .col-#{$class}-push-#{$index} {
      left: percentage(($index / $grid-columns));
    }
  }
  @if ($type == push) and ($index == 0) {
    .col-#{$class}-push-0 {
      left: auto;
    }
  }
  @if ($type == pull) and ($index > 0) {
    .col-#{$class}-pull-#{$index} {
      right: percentage(($index / $grid-columns));
    }
  }
  @if ($type == pull) and ($index == 0) {
    .col-#{$class}-pull-0 {
      right: auto;
    }
  }
  @if ($type == offset) {
    .col-#{$class}-offset-#{$index} {
      margin-left: percentage(($index / $grid-columns));
    }
  }
}

// [converter] This is defined recursively in LESS, but Sass supports real loops
@mixin loop-grid-columns($columns, $class, $type) {
  @for $i from 0 through $columns {
    @include calc-grid-column($i, $class, $type);
  }
}

// Create grid for specific class
@mixin make-grid($class) {
  @include float-grid-columns($class);
  @include loop-grid-columns($grid-columns, $class, width);
  @include loop-grid-columns($grid-columns, $class, pull);
  @include loop-grid-columns($grid-columns, $class, push);
  @include loop-grid-columns($grid-columns, $class, offset);
}

// Grid system
//
// Generate semantic grid columns with these mixins.

// Centered container element
@mixin container-fixed($gutter: $grid-gutter-width) {
  margin-right: auto;
  margin-left: auto;
  padding-left: ($gutter / 2);
  padding-right: ($gutter / 2);
  @include clearfix();
}

// Creates a wrapper for a series of columns
@mixin make-row($gutter: $grid-gutter-width) {
  margin-left: ($gutter / -2);
  margin-right: ($gutter / -2);
  @include clearfix();
}

// Generate the extra small columns
@mixin make-xs-column($columns, $gutter: $grid-gutter-width) {
  position: relative;
  float: left;
  width: percentage(($columns / $grid-columns));
  min-height: 1px;
  padding-left: ($gutter / 2);
  padding-right: ($gutter / 2);
}
@mixin make-xs-column-offset($columns) {
  margin-left: percentage(($columns / $grid-columns));
}
@mixin make-xs-column-push($columns) {
  left: percentage(($columns / $grid-columns));
}
@mixin make-xs-column-pull($columns) {
  right: percentage(($columns / $grid-columns));
}

// Generate the small columns
@mixin make-sm-column($columns, $gutter: $grid-gutter-width) {
  position: relative;
  min-height: 1px;
  padding-left: ($gutter / 2);
  padding-right: ($gutter / 2);

  @media (min-width: $screen-sm-min) {
    float: left;
    width: percentage(($columns / $grid-columns));
  }
}
@mixin make-sm-column-offset($columns) {
  @media (min-width: $screen-sm-min) {
    margin-left: percentage(($columns / $grid-columns));
  }
}
@mixin make-sm-column-push($columns) {
  @media (min-width: $screen-sm-min) {
    left: percentage(($columns / $grid-columns));
  }
}
@mixin make-sm-column-pull($columns) {
  @media (min-width: $screen-sm-min) {
    right: percentage(($columns / $grid-columns));
  }
}

// Generate the medium columns
@mixin make-md-column($columns, $gutter: $grid-gutter-width) {
  position: relative;
  min-height: 1px;
  padding-left: ($gutter / 2);
  padding-right: ($gutter / 2);

  @media (min-width: $screen-md-min) {
    float: left;
    width: percentage(($columns / $grid-columns));
  }
}
@mixin make-md-column-offset($columns) {
  @media (min-width: $screen-md-min) {
    margin-left: percentage(($columns / $grid-columns));
  }
}
@mixin make-md-column-push($columns) {
  @media (min-width: $screen-md-min) {
    left: percentage(($columns / $grid-columns));
  }
}
@mixin make-md-column-pull($columns) {
  @media (min-width: $screen-md-min) {
    right: percentage(($columns / $grid-columns));
  }
}

// Generate the large columns
@mixin make-lg-column($columns, $gutter: $grid-gutter-width) {
  position: relative;
  min-height: 1px;
  padding-left: ($gutter / 2);
  padding-right: ($gutter / 2);

  @media (min-width: $screen-lg-min) {
    float: left;
    width: percentage(($columns / $grid-columns));
  }
}
@mixin make-lg-column-offset($columns) {
  @media (min-width: $screen-lg-min) {
    margin-left: percentage(($columns / $grid-columns));
  }
}
@mixin make-lg-column-push($columns) {
  @media (min-width: $screen-lg-min) {
    left: percentage(($columns / $grid-columns));
  }
}
@mixin make-lg-column-pull($columns) {
  @media (min-width: $screen-lg-min) {
    right: percentage(($columns / $grid-columns));
  }
}

//
// Grid system
// --------------------------------------------------

// Container widths
//
// Set the container width, and override it for fixed navbars in media queries.

.container,
body .kc-container {
  @include container-fixed();

  @media (min-width: $screen-sm-min) {
    max-width: $container-sm;
  }
  @media (min-width: $screen-md-min) {
    max-width: $container-md;
  }
  @media (min-width: $screen-lg-min) {
    max-width: $container-lg;
  }

  @media (min-width: 1600px) {
    max-width: 1600px;
  }

  .container {
    width: 100%;
  }
}

// Fluid container
//
// Utilizes the mixin meant for fixed width containers, but without any defined
// width for fluid, full width layouts.

.container-fluid {
  @include container-fixed();
}

// Row
//
// Rows contain and clear the floats of your columns.

.row {
  @include make-row();
}

// Columns
//
// Common styles for small and large grid columns

@include make-grid-columns();

// Extra small grid
//
// Columns, offsets, pushes, and pulls for extra small devices like
// smartphones.

@include make-grid(xs);

// Small grid
//
// Columns, offsets, pushes, and pulls for the small device range, from phones
// to tablets.

@media (min-width: $screen-sm-min) {
  @include make-grid(sm);
}

// Medium grid
//
// Columns, offsets, pushes, and pulls for the desktop device range.

@media (min-width: $screen-md-min) {
  @include make-grid(md);
}

// Large grid
//
// Columns, offsets, pushes, and pulls for the large desktop device range.

@media (min-width: $screen-lg-min) {
  @include make-grid(lg);
}

//
// Responsive: Utility classes
// --------------------------------------------------

// IE10 in Windows (Phone) 8
//
// Support for responsive views via media queries is kind of borked in IE10, for
// Surface/desktop in split view and for Windows Phone 8. This particular fix
// must be accompanied by a snippet of JavaScript to sniff the user agent and
// apply some conditional CSS to *only* the Surface/desktop Windows 8. Look at
// our Getting Started page for more information on this bug.
//
// For more information, see the following:
//
// Issue: https://github.com/twbs/bootstrap/issues/10497
// Docs: http://getbootstrap.com/getting-started/#support-ie10-width
// Source: http://timkadlec.com/2013/01/windows-phone-8-and-device-width/
// Source: http://timkadlec.com/2012/10/ie10-snap-mode-and-responsive-design/

@-ms-viewport {
  width: device-width;
}

// Visibility utilities
// Note: Deprecated .visible-xs, .visible-sm, .visible-md, and .visible-lg as of v3.2.0
@mixin responsive-visibility($parent) {
  #{$parent} {
    display: block !important;
  }
  table#{$parent} {
    display: table;
  }
  tr#{$parent} {
    display: table-row !important;
  }
  th#{$parent},
  td#{$parent} {
    display: table-cell !important;
  }
}

// [converter] $parent hack
@mixin responsive-invisibility($parent) {
  #{$parent} {
    display: none !important;
  }
}

@include responsive-invisibility(
  ".visible-xs, .visible-sm, .visible-md, .visible-lg"
);

.visible-xs-block,
.visible-xs-inline,
.visible-xs-inline-block,
.visible-sm-block,
.visible-sm-inline,
.visible-sm-inline-block,
.visible-md-block,
.visible-md-inline,
.visible-md-inline-block,
.visible-lg-block,
.visible-lg-inline,
.visible-lg-inline-block {
  display: none !important;
}

@media (max-width: $screen-xs-max) {
  @include responsive-visibility(".visible-xs");
}
.visible-xs-block {
  @media (max-width: $screen-xs-max) {
    display: block !important;
  }
}
.visible-xs-inline {
  @media (max-width: $screen-xs-max) {
    display: inline !important;
  }
}
.visible-xs-inline-block {
  @media (max-width: $screen-xs-max) {
    display: inline-block !important;
  }
}

@media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
  @include responsive-visibility(".visible-sm");
}
.visible-sm-block {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: block !important;
  }
}
.visible-sm-inline {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: inline !important;
  }
}
.visible-sm-inline-block {
  @media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
    display: inline-block !important;
  }
}

@media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
  @include responsive-visibility(".visible-md");
}
.visible-md-block {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: block !important;
  }
}
.visible-md-inline {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: inline !important;
  }
}
.visible-md-inline-block {
  @media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
    display: inline-block !important;
  }
}

@media (min-width: $screen-lg-min) {
  @include responsive-visibility(".visible-lg");
}
.visible-lg-block {
  @media (min-width: $screen-lg-min) {
    display: block !important;
  }
}
.visible-lg-inline {
  @media (min-width: $screen-lg-min) {
    display: inline !important;
  }
}
.visible-lg-inline-block {
  @media (min-width: $screen-lg-min) {
    display: inline-block !important;
  }
}

@media (max-width: $screen-xs-max) {
  @include responsive-invisibility(".hidden-xs");
}

@media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
  @include responsive-invisibility(".hidden-sm");
}

@media (min-width: $screen-md-min) and (max-width: $screen-md-max) {
  @include responsive-invisibility(".hidden-md");
}

@media (min-width: $screen-lg-min) {
  @include responsive-invisibility(".hidden-lg");
}

// Print utilities
//
// Media queries are placed on the inside to be mixin-friendly.

// Note: Deprecated .visible-print as of v3.2.0

@include responsive-invisibility(".visible-print");

@media print {
  @include responsive-visibility(".visible-print");
}
.visible-print-block {
  display: none !important;

  @media print {
    display: block !important;
  }
}
.visible-print-inline {
  display: none !important;

  @media print {
    display: inline !important;
  }
}
.visible-print-inline-block {
  display: none !important;

  @media print {
    display: inline-block !important;
  }
}

@media print {
  @include responsive-invisibility(".hidden-print");
}

.equal-height {
  display: table;
  width: 100%;
  [class^="col-"] {
    float: none;
    display: table-cell;
  }

  [class^="col-sm-"] {
    @media screen and (max-width: $screen-sm) {
      width: 100%;
      display: block;
    }
  }
  [class^="col-md-"] {
    @media screen and (max-width: $screen-md) {
      width: 100%;
      display: block;
    }
  }
  [class^="col-lg-"] {
    @media screen and (max-width: $screen-lg) {
      width: 100%;
      display: block;
    }
  }
}

.grid-layout {
  margin: 0 -15px;
  display: flex;
  flex-wrap: wrap;
  clear: both;

  @media screen and (max-width: 480px) {
    margin: 0 -10px;
  }

  .no-flexbox & {
    @include clearfix;
  }

  &.v-align {
    align-items: center;
  }
  &.b-align {
    align-items: flex-end;
  }

  .grid-item {
    padding: 15px 15px;
    @media screen and (max-width: 480px) {
      padding: 10px;
    }

    .no-flexbox & {
      float: left;
    }
  }

  &.columns-1 .grid-item {
    width: 100%;
  }
  &.columns-2 .grid-item {
    width: 50%;
    .no-flexbox & {
      &:nth-child(2n + 1) {
        clear: both;
      }
    }
    @media screen and (max-width: 320px) {
      width: 100%;
    }
  }
  &.columns-3 .grid-item {
    width: 33.3333%;
    .no-flexbox & {
      &:nth-child(3n + 1) {
        clear: both;
      }
    }
    @media screen and (max-width: 640px) {
      width: 50%;
      .no-flexbox & {
        &:nth-child(3n + 1) {
          clear: none;
        }
        &:nth-child(2n + 1) {
          clear: both;
        }
      }
    }
    @media screen and (max-width: 320px) {
      width: 100%;
    }
  }
  &.columns-4 {
    .grid-item {
      width: 25%;
      .no-flexbox & {
        &:nth-child(4n + 1) {
          clear: both;
        }
      }
      @media screen and (min-width: 1400px) {
        width: 16.6667%;
        .no-flexbox & {
          &:nth-child(4n + 1) {
            clear: none;
          }
          &:nth-child(3n + 1) {
            clear: both;
          }
        }
      }
      @media screen and (max-width: 1020px) {
        width: 33.3333%;
        .no-flexbox & {
          &:nth-child(4n + 1) {
            clear: none;
          }
          &:nth-child(3n + 1) {
            clear: both;
          }
        }
      }
      @media screen and (max-width: 640px) {
        width: 50%;
        .no-flexbox & {
          &:nth-child(3n + 1) {
            clear: none;
          }
          &:nth-child(2n + 1) {
            clear: both;
          }
        }
      }
      @media screen and (max-width: 320px) {
        width: 100%;
      }
    }
    &.limit .grid-item {
      @media screen and (min-width: 1400px) {
        width: 25%;
        .no-flexbox & {
          &:nth-child(4n + 1) {
            clear: none;
          }
          &:nth-child(3n + 1) {
            clear: both;
          }
        }
      }
    }
  }
  &.columns-5 .grid-item {
    width: 20%;
    .no-flexbox & {
      &:nth-child(5n + 1) {
        clear: both;
      }
    }
    @media screen and (max-width: 1020px) {
      width: 33.3333%;
      .no-flexbox & {
        &:nth-child(4n + 1) {
          clear: none;
        }
        &:nth-child(3n + 1) {
          clear: both;
        }
      }
    }
    @media screen and (max-width: 640px) {
      width: 50%;
      .no-flexbox & {
        &:nth-child(3n + 1) {
          clear: none;
        }
        &:nth-child(2n + 1) {
          clear: both;
        }
      }
    }
    @media screen and (max-width: 320px) {
      width: 100%;
    }
  }
  &.columns-6 .grid-item {
    width: 16.6667%;

    .no-flexbox & {
      &:nth-child(6n + 1) {
        clear: both;
      }
    }
    @media screen and (max-width: 1020px) {
      width: 33.3333% !important;
      .no-flexbox & {
        &:nth-child(4n + 1) {
          clear: none;
        }
        &:nth-child(3n + 1) {
          clear: both;
        }
      }
    }
    @media screen and (max-width: 640px) {
      width: 50% !important;
      .no-flexbox & {
        &:nth-child(3n + 1) {
          clear: none;
        }
        &:nth-child(2n + 1) {
          clear: both;
        }
      }
    }
    @media screen and (max-width: 320px) {
      width: 100% !important;
    }
  }
}

.kc-container {
  width: 100%;
  max-width: 1170px;
  margin: 0 auto;
  padding-left: 15px;
  padding-right: 15px;
}

.kc-css-system .kc-css-303509 {
  border-top: 1px dashed #d6d6d6;
}

.kc-elm {
  float: left;
  width: 100%;
}

.kc_row:not(.kc_row_inner) {
  clear: both;
  float: left;
  width: 100%;
}

.kc-row-container:not(.kc-container) {
  padding-left: 0;
  padding-right: 0;
  width: 100%;
  max-width: 100%;
}

.kc-row-container.kc-container .kc-wrap-columns,
.kc_row_inner {
  margin-left: -15px;
  margin-right: -15px;
  clear: both;
}

.kc_column > .kc-col-container,
.kc_column_inner > .kc-col-inner-container {
  height: 100%;
}

.kingcomposer div.kc_column,
.kingcomposer div.kc_column_inner {
  clear: none;
}

.kc-col-container {
  clear: both;
  display: block;
  width: 100%;
}

body div[data-kc-equalheight-align="middle"] > .kc_column_inner > .kc_wrapper,
body div[data-kc-equalheight-align="bottom"] > .kc_column_inner > .kc_wrapper,
body
  section[data-kc-equalheight-align="middle"]
  > .kc-container
  > .kc-wrap-columns
  > .kc_column
  > .kc-col-container,
body
  section[data-kc-equalheight-align="middle"]
  > .kc-row-container
  > .kc-wrap-columns
  > .kc_column
  > .kc-col-container,
body
  section[data-kc-equalheight-align="bottom"]
  > .kc-container
  > .kc-wrap-columns
  > .kc_column
  > .kc-col-container {
  display: -webkit-flex !important;
  display: -ms-flexbox !important;
  display: flex !important;
  flex-wrap: wrap;
  height: 100%;
  width: 100%;
}

body div[data-kc-equalheight-align="middle"] > .kc_column_inner > .kc_wrapper,
body
  section[data-kc-equalheight-align="middle"]
  > .kc-container
  > .kc-wrap-columns
  > .kc_column
  > .kc-col-container,
body
  section[data-kc-equalheight-align="middle"]
  > .kc-row-container
  > .kc-wrap-columns
  > .kc_column
  > .kc-col-container {
  align-content: center;
  justify-content: center;
  align-items: center;
}

.kc_row.kc_row_inner {
  width: calc(100% + 30px);
}

.kc-icon-wrapper i {
  color: #42bce2;
  font-size: 16px;
  text-align: center;
  line-height: 1em;
  transition: background-color 0.3s ease 0s, color 0.3s ease 0s,
    border-radius 0.3s ease 0s;
}

.kc-icon-wrapper i,
.list-post-type .kc-read-more {
  display: inline-block;
}

.kc-title-wrap {
  width: 100%;
}

.kc-multi-icons-wrapper {
  a {
    padding: 10px;
    margin: 3px;
    background: #1e73be;
    line-height: 1;
    display: inline-block;
    border-radius: 3px;
  }

  i {
    width: 1em;
    height: 1em;
    text-align: center;
    color: #fff;
    font-size: 20px;
  }
}

.kc_col-sm-5 {
  width: 41.6667%;
}

.kc_col-sm-7 {
  width: 58.3333%;
}

.product-overview__image,
.product-overview__summary {
  float: left;
}

.product-overview__summary {
  width: 60%;
  padding-left: 50px;
  position: relative;

  .product__title {
    font-size: 48px;
    font-size: 3em;
    font-family: "Playfair Display";
    margin: 0 0 20px;
    line-height: 1.2;
  }

  .product__meta {
    .author {
      font-family: "Playfair Display";
      font-style: italic;
      float: left;
    }
    @include clearfix;
  }

  .woocommerce-product-rating {
    float: right;
    text-align: right;
    @include clearfix;

    .star-rating {
      display: inline-block;
      text-align: left;
    }

    .woocommerce-review-link {
      color: #999999;
      font-size: 12px;
      display: block;
    }
  }

  .product-bookmark {
    .post__share {
      a {
        display: inline-block;
        padding: 5px 10px;
        border-radius: 3px;
        color: white;
        line-height: 1;
        margin-bottom: 3px;
        font-size: 14px;
        font-size: 0.875em;
        margin-right: 4px;

        &.facebook {
          background-color: $facebook;
        }

        &.twitter {
          background-color: $twitter;
        }

        &.google-plus {
          background-color: $google-plus;
        }

        &.linkedin {
          background-color: $linkedin;
        }

        .fa {
          display: inline-block;
          margin-right: 5px;
          vertical-align: middle;
        }
      }
    }
    @include clearfix;
  }

  .product-bookmark .yith-wcwl-add-to-wishlist,
  .product-bookmark .clear,
  .product-bookmark .post__share {
    display: inline-block;
    vertical-align: middle;
    margin-top: 0;
  }

  .onsale {
    position: absolute;
    right: 0;
    background-color: #db1037;
    color: white;
    border-radius: 3px;
    padding: 2px 10px;
  }
}

.product-overview {
  .product-action {
    .price {
      font-size: 24px;
      font-size: 1.5em;
      margin-bottom: 20px;
      color: #db1037;
      font-weight: 700;
    }
  }

  .product_meta {
    padding-top: 30px;

    > span {
      display: inline-block;
      margin-right: 20px;
      color: #2b2b2b;

      * {
        color: #999999;
      }
    }
  }
}

.product-overview {
  padding: 100px 0;
  position: relative;
}

.variations_form.cart {
  .single_variation_wrap {
    .woocommerce-variation-add-to-cart {
      display: -ms-flexbox;
      display: flex;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      margin-bottom: 30px;

      .quantity {
        display: -ms-flexbox;
        display: flex;
        margin-right: 20px;
      }

      button[type="submit"] {
        margin: 0;
      }
    }
  }
}

.yith-wcwl-add-to-wishlist {
  .ajax-loading {
    box-shadow: none !important;
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    display: inline !important;
    margin-left: 5px;
    vertical-align: middle;
    visibility: hidden;
    width: 16px !important;
    height: 16px !important;
  }
}

.woocommerce-info,
.woocommerce-message {
  background-color: #15a3f9;
  color: #01263d;
  padding: 30px 30px 30px 80px;
  position: relative;
  box-shadow: 0 10px 30px rgb(0 0 0 / 10%);
  margin-bottom: 30px;

  &.message-error {
    background-color: #f6604c;

    .woocommerce-error {
      list-style: none;
      padding: 0;
    }
  }

  .fas {
    position: absolute;
    left: 30px;
    top: 30px;
    font-size: 18px;
    font-size: 1.125em;
    color: rgba(255, 255, 255, 0.5);
  }

  @include clearfix;
}

.woocommerce {
  .woocommerce-checkout {
    margin: 0 -15px;

    .col2-set {
      width: 50%;
      float: left;
      padding: 0 15px;
      @include clearfix;

      .col-1 {
        padding-right: 0;
      }

      .col-2 {
        padding-left: 0;
      }

      .col-1,
      .col-2 {
        width: 100%;
      }
    }
  }

  .woocommerce-checkout-review-order {
    width: 50%;
    float: right;
    padding: 0 15px;

    th,
    td {
      padding: 20px;
    }
  }

  .checkout_coupon {
    background-color: white;
    box-shadow: 0 10px 30px rgb(0 0 0 / 10%);
    padding: 30px;
    margin-bottom: 30px;

    @include clearfix;
  }
}

.col2-set {
  width: 100%;
  clear: both;

  .col-1 {
    float: left;
    width: 50%;
    padding-right: 15px;
  }

  .col-2 {
    float: right;
    width: 50%;
    padding-left: 15px;
  }
}

form {
  .form-row-first,
  .form-row-last {
    float: left;
    width: 50%;
    overflow: visible;
  }

  .form-row {
    padding: 3px;
    margin: 0 0 15px;

    @include clearfix;

    label {
      display: block;
      margin-bottom: 10px;
    }

    .required {
      color: red;
      font-weight: bold;
      border: 0;
    }

    input.input-text,
    textarea {
      box-sizing: border-box;
      width: 100%;
      margin: 0;
      outline: 0;
      line-height: 1em;
    }

    select {
      width: 100%;
      cursor: pointer;
      margin: 0;
    }

    textarea {
      height: 3.5em;
      line-height: 1.5em;
      display: block;
      box-shadow: none;
    }
  }

  .form-row-wide {
    clear: both;
  }

  .form-row-wide {
    &.form-row-first,
    &.form-row-last {
      clear: unset;
    }
  }

  .form-row-last {
    float: right;
    padding-left: 30px;
  }

  .form-hidden {
    display: none;
  }

  .validate-error {
    input,
    select,
    textarea {
      border-color: $accent-color-1 !important;
    }
  }
}

@media screen and (min-width: 999px) {
  .kc-row-container .kc-wrap-columns,
  .kc_row_inner {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    flex-wrap: wrap;
  }

  .kc-row-container.kc-container .kc-wrap-columns,
  .kc_row_inner {
    width: calc(100% + 30px);
  }
}

.post-grid .post__inner:after,
.post-masonry .post__inner:after,
.hdr-widget--product-search .product-search-input .line,
.user-auth-box .user-auth-box-content:before {
  background-image: linear-gradient(
    90deg,
    transparent,
    #db1037,
    #cd40e6,
    #db1037,
    transparent
  );
}

.product-sorting {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -ms-flex-align: center;
  align-items: center;
  padding: 0 15px;
}

.product-layout-view {
  display: flex;
  a {
    display: flex;
    padding: 10px;
    font-size: 24px;
    border: 3px solid #bdbdbd;
    line-height: 0.5;
    margin-right: 10px;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
  }
}

.product-layout-view a:hover,
.product-layout-view a.active {
  color: #cd40e6;
  border-color: inherit;
}

.woocommerce-pagination {
  padding: 50px 15px;

  ul.page-numbers {
    list-style: none;
    padding: 0;
    display: block;

    li {
      display: inline-block;
    }

    .page-numbers {
      padding: 13px 15px 10px;
      margin-right: 10px;
      display: block;
      background-color: white;
      line-height: 1;
      box-shadow: 0 2px 10px rgb(192 221 238 / 70%);
      font-weight: 700;

      &.current {
        background-color: #cd40e6;
        color: white;
      }
    }
  }
}

.menu-main-wrapper .menu-item.mega-menu > .sub-menu .sub-menu a:after,
.widget_search form input[type="submit"],
.product-list .product__image .onsale,
.wc_payment_methods.payment_methods .wc_payment_method label:after,
.woocommerce-pagination ul.page-numbers .page-numbers.current {
  background-color: $accent-color-1;
}

.product-list {
  .product {
    margin-bottom: 100px;
  }

  .product__inner {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: start;
    justify-content: flex-start;
  }

  .product__image {
    width: 200px;
    position: relative;
    margin: 0;
    -ms-flex-negative: 0;
    flex-shrink: 0;

    .onsale {
      position: absolute;
      right: -10px;
      top: 20px;
      background-color: #cd40e6;
      color: white;
      text-transform: uppercase;
      line-height: 1;
      padding: 7px 10px;
      border-radius: 3px;
      z-index: 2;
      font-size: 14px;
      font-size: 0.875em;
    }

    img {
      height: auto;
      max-width: 100%;
      width: 100%;
      display: block;
      box-shadow: 0 10px 20px -3px rgb(0 0 0 / 20%);
    }
  }

  .product__detail {
    padding-left: 40px;
    width: 100%;

    .bottom-wrap {
      > .yith-wcqv-button {
        display: none;
      }

      @include clearfix;
    }
  }

  .product__title {
    margin: 0;
  }

  .product__price {
    float: left;
    font-size: 18px;
    font-weight: 700;
    color: #db1037;
  }

  .product__action {
    float: right;

    > a,
    > button {
      margin: 5px;
    }
  }
}

.hdr-widget--site-logo a,
.hdr-widget-dropdown-menu .menu-item:hover > a,
.site-footer a,
.product-list .product__price,
.widget.widget_price_filter .price_slider_amount .price_label span {
  color: $accent-color-1;
}

.product-list .product__action .button,
.product-list .product__action .comment-respond .form-submit input,
.comment-respond .form-submit .product-list .product__action input,
.product-list .product__action .dokan-btn-theme,
.product-list .product__action .added_to_cart.wc-forward {
  font-size: 12px;
  font-size: 0.75em;
  padding: 5px 20px;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 1px;
  position: relative;
  line-height: 1;
}

.intrinsic-ratio {
  position: relative;
  display: block;
  background-color: #c3c3c3;

  > img {
    &.lazy-loaded {
      opacity: 1;
    }

    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    opacity: 0;
    transition: 0.5s ease-out;
  }
}

.widget.widget_shopping_cart {
  .remove {
    position: absolute;
    right: 8px;
    top: 5px;
    width: 18px;
    height: 18px;
    font-size: 18px;
    overflow: hidden;
    text-indent: -9999px;
    color: #999999;
    transition: 0.3s ease;

    > .fa-trash {
      position: absolute;
      left: 0;
      top: 0;
      line-height: 1;
      text-indent: 0;
    }
  }

  .total {
    border-top: 1px solid #bdbdbd;
    border-bottom: 1px solid #bdbdbd;
    padding: 20px 0;
    line-height: 1;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: justify;
    justify-content: space-between;
    font-weight: 700;
  }

  .buttons {
    a {
      display: block;
      margin-bottom: 10px;
      text-align: center;

      &.checkout {
        color: #2b2b2b;
        border-color: inherit;
      }
    }
  }
}

#update-user-info {
  float: right;
  margin-top: 26px;
  width: 20%;
  max-width: 160px;
  border-color: $border-color;

  &:hover {
    border-color: $accent-color-1;
  }
}

.kc_column,
.kc_column_inner {
  min-height: 1px;
  position: relative;
  padding-right: 15px !important;
  padding-left: 15px;
  float: left;
}

@media screen and (max-width: 992px) {
  .woocommerce {
    .woocommerce-checkout {
      &-review-order,
      .col2-set {
        width: 100%;
        float: none;
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .kc-css-system .kc_column,
  .kc-css-system .kc_column_inner {
    width: 100%;
    padding-right: 0;
  }

  form .form-row-first,
  form .form-row-last {
    width: 100%;
    float: none;
    padding-left: 0 !important;
  }

  .kc_column_inner > .kc-col-inner-container.last {
    padding-right: 30px;
  }

  .product-overview {
    padding: 40px 0;
  }

  .product-overview__summary {
    .product__title {
      font-size: 2em;
      padding-right: 60px;
    }
  }
}

@media screen and (max-width: 480px) {
  .product-list {
    .product {
      &__inner {
        display: block;
      }

      &__detail {
        padding-left: unset;
        padding-top: 20px;
      }

      &__price {
        float: none;
      }

      &__action {
        float: none;
        display: block;
        margin-top: 10px;
      }
    }
  }

  .product-overview {
    padding: 40px 0;
  }

  .product-overview__summary {
    .product__title {
      font-size: 1.5em;
      padding-right: 60px;
    }
  }
}
